org.apache.ignite.streamer

## Interface StreamerStageMBean

All Known Implementing Classes:
  StreamerStageMBeanAdapter

    @MXBeanDescription(value="MBean that provides access to streamer stage description and metrics.")
    public interface StreamerStageMBean

Streamer stage MBean.

### Method Summary

Methods
`long` `getAverageExecutionTime()` Gets stage average execution time.
`long` `getAverageWaitingTime()` Stage average waiting time.
`int` `getFailuresCount()` Gets stage failure count.
`long` `getMaximumExecutionTime()` Gets stage maximum execution time.
`long` `getMaximumWaitingTime()` Gets stage maximum waiting time.
`long` `getMinimumExecutionTime()` Gets stage minimum execution time.
`long` `getMinimumWaitingTime()` Gets stage minimum waiting time.
`String` `getName()` Gets stage name.
`String` `getStageClassName()` Gets stage class name.
`long` `getTotalExecutionCount()` Gets total stage execution count since last reset.
`boolean` `isExecuting()` Gets flag indicating if stage is being currently executed by at least one thread on current node.

### Method Detail

#### getName

    @MXBeanDescription(value="Stage name.")
    String getName()

Gets stage name.

Returns:
  Stage name.

#### getStageClassName

    @MXBeanDescription(value="Stage class name.")
    String getStageClassName()

Gets stage class name.

Returns:
  Stage class name.

#### getMinimumExecutionTime

    @MXBeanDescription(value="Stage minimum execution time.")
    long getMinimumExecutionTime()

Gets stage minimum execution time.

Returns:
  Stage minimum execution time.

#### getMaximumExecutionTime

    @MXBeanDescription(value="Stage maximum execution time.")
    long getMaximumExecutionTime()

Gets stage maximum execution time.

Returns:
  Stage maximum execution time.

#### getAverageExecutionTime

    @MXBeanDescription(value="Stage average execution time.")
    long getAverageExecutionTime()

Gets stage average execution time.

Returns:
  Stage average execution time.

#### getMinimumWaitingTime

    @MXBeanDescription(value="Stage minimum waiting time.")
    long getMinimumWaitingTime()

Gets stage minimum waiting time.

Returns:
  Stage minimum waiting time.

#### getMaximumWaitingTime

    @MXBeanDescription(value="Stage maximum waiting time.")
    long getMaximumWaitingTime()

Gets stage maximum waiting time.

Returns:
  Stage maximum waiting time.

#### getAverageWaitingTime

    @MXBeanDescription(value="Stage average waiting time.")
    long getAverageWaitingTime()

Stage average waiting time.

Returns:
  Stage average waiting time.

#### getTotalExecutionCount

    @MXBeanDescription(value="Number of times this stage was executed.")
    long getTotalExecutionCount()

Gets total stage execution count since last reset.

Returns:
  Number of times this stage was executed.

#### getFailuresCount

    @MXBeanDescription(value="Stage failure count.")
    int getFailuresCount()

Gets stage failure count.

Returns:
  Stage failure count.

#### isExecuting

    @MXBeanDescription(value="Whether stage is currently being executed.")
    boolean isExecuting()

Gets flag indicating if stage is being currently executed by at least one thread on current node.

Returns:
  `True` if stage is executing now.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015